Bug 1576028 - blivet.errors.FSError: mount failed: [Errno 30] Read-only file system: '/mnt/sysimage/proc'
Summary: blivet.errors.FSError: mount failed: [Errno 30] Read-only file system: '/mnt/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7fab52bb5eac746ca2829cd69fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 15:24 UTC by feeback25
Modified: 2019-05-28 20:09 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:09:41 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.42 MB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: anaconda.log (32.12 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: blivet-gui-utils.log (5.19 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: dbus.log (3.13 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: dnf.librepo.log (97.15 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: environ (636 bytes, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: hawkey.log (92.91 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: lorax-packages.log (25.49 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: lsblk_output (3.57 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: lvm.log (270.91 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: nmcli_dev_list (1.70 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: os_info (556 bytes, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: program.log (78.04 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: storage.log (220.33 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: syslog (378.39 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: ifcfg.log (2.30 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details
File: packaging.log (8.50 KB, text/plain)
2018-05-08 15:24 UTC, feeback25
no flags Details

Description feeback25 2018-05-08 15:24:15 UTC
Version-Release number of selected component:
anaconda-28.22.10

The following was filed automatically by anaconda:
anaconda 28.22.10 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/tasks/fsmount.py", line 122, in do_task
    raise FSError("mount failed: %s" % e)
  File "/usr/lib/python3.6/site-packages/blivet/formats/fs.py", line 558, in _setup
    self._mount.do_task(chrooted_mountpoint, options=options)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 606, in setup
    self._setup(**kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 743, in mount_filesystems
    chroot=root_path)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 1985, in mount_filesystems
    read_only=read_only, skip_root=skip_root)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 2140, in turn_on_filesystems
    storage.mount_filesystems()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 361, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
blivet.errors.FSError: mount failed: [Errno 30] Read-only file system: '/mnt/sysimage/proc'

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-E-dvd-x86_64-28 rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 feeback25 2018-05-08 15:24:24 UTC
Created attachment 1433258 [details]
File: anaconda-tb

Comment 2 feeback25 2018-05-08 15:24:26 UTC
Created attachment 1433259 [details]
File: anaconda.log

Comment 3 feeback25 2018-05-08 15:24:28 UTC
Created attachment 1433260 [details]
File: blivet-gui-utils.log

Comment 4 feeback25 2018-05-08 15:24:29 UTC
Created attachment 1433261 [details]
File: dbus.log

Comment 5 feeback25 2018-05-08 15:24:31 UTC
Created attachment 1433262 [details]
File: dnf.librepo.log

Comment 6 feeback25 2018-05-08 15:24:32 UTC
Created attachment 1433263 [details]
File: environ

Comment 7 feeback25 2018-05-08 15:24:35 UTC
Created attachment 1433264 [details]
File: hawkey.log

Comment 8 feeback25 2018-05-08 15:24:36 UTC
Created attachment 1433265 [details]
File: lorax-packages.log

Comment 9 feeback25 2018-05-08 15:24:38 UTC
Created attachment 1433266 [details]
File: lsblk_output

Comment 10 feeback25 2018-05-08 15:24:40 UTC
Created attachment 1433267 [details]
File: lvm.log

Comment 11 feeback25 2018-05-08 15:24:42 UTC
Created attachment 1433268 [details]
File: nmcli_dev_list

Comment 12 feeback25 2018-05-08 15:24:43 UTC
Created attachment 1433269 [details]
File: os_info

Comment 13 feeback25 2018-05-08 15:24:45 UTC
Created attachment 1433270 [details]
File: program.log

Comment 14 feeback25 2018-05-08 15:24:47 UTC
Created attachment 1433271 [details]
File: storage.log

Comment 15 feeback25 2018-05-08 15:24:50 UTC
Created attachment 1433272 [details]
File: syslog

Comment 16 feeback25 2018-05-08 15:24:51 UTC
Created attachment 1433273 [details]
File: ifcfg.log

Comment 17 feeback25 2018-05-08 15:24:53 UTC
Created attachment 1433274 [details]
File: packaging.log

Comment 18 Jiri Konecny 2018-05-09 09:16:26 UTC
Based on the traceback I'm changing component to our storage library blivet.

Comment 19 Ben Cotton 2019-05-02 21:49:13 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2019-05-28 20:09:41 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.